//	Zinc I18n Replacement Object - Z_REPSTR.HPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Services, Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_REPSTR_HPP)
#   define Z_REPSTR_HPP

#include <z_winall.hpp>
#include <z_msgwin.hpp>

class ZAF_EXPORT ZafI18nReplacement
{
public:
    ZafI18nReplacement();
	virtual ~ZafI18nReplacement(void);

    void ReplaceAll(ZafWindow *window, const ZafIChar *languageName);

protected:
    ZafIChar *LoadText(ZafWindowObject *object, ZafIChar *hotKeyChar = ZAF_NULLP(ZafIChar),
                    int *hotKeyIndex = ZAF_NULLP(int));
    void ReplaceChildren(ZafWindow *parent);
    void ReplaceHelpObjectTip(ZafWindowObject *object);
    virtual void ReplaceObject(ZafWindowObject *object);
    void ReplaceQuickTip(ZafWindowObject *object);
    void ReplaceText(ZafWindowObject *object);
    void ReplaceUserText(ZafWindowObject *object);

private:
    ZafLanguageData *language;
};

#endif // Z_REPSTR_HPP

